DOYENSYS Knowledge Portal




We Welcome you to visit our DOYENSYS KNOWLEDGE PORTAL : Doyensys Knowledge Portal




Monday, October 23, 2017

RC-00110: FATAL: ERROR OCCURRED WHILE RELINKING OF APPLYDBTECHSTACK



RC-00110: Fatal: Error occurred while relinking of ApplyDBTechStack
Problem:
I faced the following error while cloning one of our recently upgraded EBS version from 11.5.10 to 12.1.3
RC-00110: Fatal: Error occurred while relinking of ApplyDBTechStack

The contents of log file shows:
Executing script in InstantiateFile:
/app/TEST/testdb/11.2.0/perl/bin/perl -I /app/TEST/testdb/11.2.0/perl/lib/5.8.3 -I /app/TEST/testdb/11.2.0/perl/lib/site_perl/5.8.3 -I /app/TEST/testdb/11.2.0/appsutil/perl /app/TEST/testdb/11.2.0/appsutil/clone/ouicli.pl
script returned:
****************************************************
.end std out.
Perl lib version (5.10.1) doesn't match executable version (v5.10.0) at /usr/lib64/perl5/Config.pm line 50.
Compilation failed in require at /app/TEST/testdb/11.2.0/appsutil/clone/ouicli.pl line 35.
BEGIN failed--compilation aborted at /app/TEST/testdb/11.2.0/appsutil/clone/ouicli.pl line 35.
.end err out.

Cause:
The log file clearly states that issue is due to mismatch of perl lib version with executable version on database tier

Solution:

The temporary fix would be to set the correct version of PERL5LIB environment variable on the Database tier
First check the value of PERL5LIB variable on source system(let's say PROD) and then set the same value of PERL5LIB variable on target system(let's call it TEST).
In my case, the value was set to '5.10.0'. So the variable 'PERL5LIB' on the 11gR2 database tier (target system) needs to be set as follows:
            export PERL5LIB=<ORACLE_HOME>/perl/lib/5.10.0:<ORACLE_HOME>/perl/site_perl/5.10.0:<ORACLE_HOME>/appsutil/perl

To set the value of the context variable s_perl5lib in the Database tier context file and update the PERL5LIB value in the Database tier environment file as well.
•         Run AutoConfig on the Database tier using adconfig.pl script as follows:
1.     perl <ORACLE_HOME>/appsutil/bin/adconfig.pl contextfile=<CONTEXT_FILE>

The permanent fix for the above issue is to modify the correct perl version in file adxdbctx.tmp under:
            <ORACLE_HOME>/appsutil/clone/context/db
            <ORACLE_HOME>/appsutil/template

Again run the cloning process,
            perl adcfgclone.pl dbTier
                 ApplyDatabase Completed Successfully.

Check perl5lib version in context file under <ORACLE_HOME>/appsutil/<CONTEXT_NAME>.xml   -- {CONTEXT_NAME = hostname_SID}
If it shows 5.8.3 then stop the database  and application, modify the per5lib value 5.8.3 to 5.10.0 in XML file.
Start database and listener
Ran autconfig on DB Tier
Start application
Run autoconfig on Apps Tier
adpreclone.pl on db tier and apps tier.

References:
Rapid Clone Error : 11gR2 Database : Perl lib Version (v5.8.5) Doesn't Match Executable Version (v5.10.0) [ID 1276455.1]
Adpreclone Failed With Perl Lib Version (V5.8.3) Doesn'T Match Executable Version (V5.8.5) [ID 1166201.1]


Note: Please make sure to apply the latest AutoConfig and Rapid Clone patches on R12 instance.

No comments: